Skip to main content
POST
Add webhook to store

➕ Add Webhook to Store

This endpoint allows adding a new webhook URL to the store, respecting the maximum limit allowed by the plan.

🔐 Authentication

This route requires authentication via API Key, sent in the request header:

📥 Route Parameters

📥 Request Body

📋 Request Example

📊 Response Example (200)

Update events (PUT / PATCH): You can also send PUT or PATCH /v1/stores/{storeId}/webhooks with { "url": "...", "events": [...] } (at least 1 valid event required) to update the events of an existing webhook; on success, returns 200 with code: "WEBHOOK_UPDATED", "webhook", and "events" (or 404 WEBHOOK_NOT_FOUND if the URL is not registered).

❌ Possible Errors

Authorizations

Authorization
string
header
default:YOUR_API_KEY_HERE
required

Path Parameters

storeId
string
required
Required string length: 1 - 50

Body

application/json

Webhook URL and optional event subscriptions.

url
string<uri>
required
Required string length: 9 - 200
events
enum<string>[]
Available options:
store.created,
store.updated,
store.deleted,
store.reordered,
product.created,
product.updated,
product.deleted,
product.reordered,
category.created,
category.updated,
category.deleted,
category.reordered,
coupon.created,
coupon.updated,
coupon.deleted,
coupon.reordered,
page.upserted,
page.deleted,
affiliate.created,
affiliate.updated,
affiliate.deleted,
payment.created,
payment.updated,
payment.deleted,
payment.status.changed

Response

Webhook added.

code
string
required
Example:

"WEBHOOK_ADDED"

events
enum<string>[]
required
Available options:
store.created,
store.updated,
store.deleted,
store.reordered,
product.created,
product.updated,
product.deleted,
product.reordered,
category.created,
category.updated,
category.deleted,
category.reordered,
coupon.created,
coupon.updated,
coupon.deleted,
coupon.reordered,
page.upserted,
page.deleted,
affiliate.created,
affiliate.updated,
affiliate.deleted,
payment.created,
payment.updated,
payment.deleted,
payment.status.changed
webhook
string<uri>
required